Bug 33598 - The touchcancel event is not supported.
: The touchcancel event is not supported.
Status: RESOLVED FIXED
: WebKit
WebCore Misc.
: 528+ (Nightly build)
: All All
: P2 Normal
Assigned To:
:
:
:
: 32485
  Show dependency treegraph
 
Reported: 2010-01-13 07:38 PST by
Modified: 2010-01-20 07:49 PST (History)


Attachments
Patch. (16.21 KB, patch)
2010-01-15 09:46 PST, Ben Murdoch
no flags Review Patch | Details | Formatted Diff | Diff
Patch v2 (14.82 KB, patch)
2010-01-20 06:41 PST, Ben Murdoch
hausmann: review+
Review Patch | Details | Formatted Diff | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2010-01-13 07:38:53 PST
There is currently no support inside WebCore for the touchcancel event, fired when a touch event is cancelled.

I will upstream a patch from the Android port to add this support.
------- Comment #1 From 2010-01-13 07:41:17 PST -------
Great. We left it out because there is no such event yet in Qt. But it should certainly be there of course :)
------- Comment #2 From 2010-01-15 09:46:04 PST -------
Created an attachment (id=46684) [details]
Patch.
------- Comment #3 From 2010-01-20 06:10:50 PST -------
(From update of attachment 46684 [details])
I'm just going to reorganise the patch and resubmit it (move the changes to js-test-pre|post to a separate, blocking bug)
------- Comment #4 From 2010-01-20 06:27:55 PST -------
(In reply to comment #3)
> (From update of attachment 46684 [details] [details])
> I'm just going to reorganise the patch and resubmit it (move the changes to
> js-test-pre|post to a separate, blocking bug)

Actually turns out I just needed to look a bit closer at the functionality of the js-test-* scripts, and what I needed is already there :)

New patch coming up...
------- Comment #5 From 2010-01-20 06:41:40 PST -------
Created an attachment (id=47019) [details]
Patch v2
------- Comment #6 From 2010-01-20 06:49:31 PST -------
(From update of attachment 47019 [details])
Looks good to me. It's a shame we can't run the test currently, but the patch is mostly mechanic anyway :)
------- Comment #7 From 2010-01-20 07:49:09 PST -------
Committed revision 53548.